Subject: Re: bug#47824: [PATCH 0/3] Happy hacking in the Spring 2021 LGJ

From: Leo Prikler <[email-masked]>
Date: Sat, 15 May 2021 16:02:37 +0200

Hi Ludo’,

Am Samstag, den 15.05.2021, 15:45 +0200 schrieb Ludovic Courtès:
> Hi Leo,
> 
> Leo Prikler <[email-masked]> skribis:
> 
> > For the record, I've pushed guile-sdl and chickadee already, any
> > hints
> > w.r.t. the problem in Tsukundere?
> 
> [...]
> 
> > > > In that case, you can unconditionally do:
> > > > 
> > > >   (assoc-ref inputs "guile")
> > > > 
> > > > Unless I’m mistaken, it won’t be shadowed by the native input
> > > > “guile” when cross-compiling.
> > > > 
> > > > Or am I missing something?
> > > Perhaps it's an implementation detail, that when performing
> > > native
> > > builds, inputs are merged as (append inputs native-inputs), but
> > > they
> > > could as well be (append native-inputs inputs).  I'd have to
> > > check,
> > > and
> > > I'm not sure whether I want to rely on that detail. 
> 
> I didn’t see a question mark, which is why I didn’t answer.  :-)
> 
> I fail to see why (assoc-ref inputs …) wouldn’t work.
Ahh, my bad, it appears I was just confused.  If both native-inputs and
inputs refer to "the same" guile and are on the same architecture, they
should have the same hash, so it doesn't matter, which one is picked. 
I'll try to rewrite the package with that in mind.

Thanks,
Leo